Bug 1348207 - Review Request: python-represent - create __repr__ automatically or declaratively
Summary: Review Request: python-represent - create __repr__ automatically or declarati...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lumír Balhar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1317888
TreeView+ depends on / blocked
 
Reported: 2016-06-20 12:44 UTC by Dominika Krejčí
Modified: 2016-08-18 23:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-10 06:00:01 UTC
Type: ---
lbalhar: fedora-review+


Attachments (Terms of Use)

Description Dominika Krejčí 2016-06-20 12:44:43 UTC
Spec URL: https://dkrejci.fedorapeople.org/python-represent/python-represent.spec
SRPM URL: https://dkrejci.fedorapeople.org/python-represent/python-represent-1.5.1-1.fc23.src.rpm
Description: Python package which creates __repr__ automatically or declaratively.

Fedora Account System Username: dkrejci

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14579139

Comment 1 Lumír Balhar 2016-06-21 07:32:39 UTC
Hello.

Everything in your new package looks good to me except one thing - tests.

Upstream contains working tests. Is there any reason for omitting tests in the package?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/lbalhar/Review/1348207-python-represent/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause) MIT/X11 (BSD like)", "Unknown or generated". 20
     files have unknown license. Detailed output of licensecheck in
     /home/lbalhar/Review/1348207-python-represent/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-represent , python3-represent
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!] %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-represent-1.5.1-1.fc24.noarch.rpm
          python3-represent-1.5.1-1.fc24.noarch.rpm
          python-represent-1.5.1-1.fc24.src.rpm
python2-represent.noarch: W: spelling-error Summary(en_US) repr -> rep, reps, rear
python2-represent.noarch: W: spelling-error Summary(en_US) declaratively -> declarative, decoratively, relatively
python2-represent.noarch: W: spelling-error %description -l en_US repr -> rep, reps, rear
python2-represent.noarch: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
python3-represent.noarch: W: spelling-error %description -l en_US repr -> rep, reps, rear
python3-represent.noarch: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
python-represent.src: W: spelling-error Summary(en_US) repr -> rep, reps, rear
python-represent.src: W: spelling-error Summary(en_US) declaratively -> declarative, decoratively, relatively
python-represent.src: W: spelling-error %description -l en_US repr -> rep, reps, rear
python-represent.src: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
3 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python2-represent (rpmlib, GLIBC filtered):
    python(abi)

python3-represent (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-represent:
    python-represent
    python2-represent

python3-represent:
    python3-represent



Source checksums
----------------
https://github.com/RazerM/represent/archive/1.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : 5fc5fe74c22daa319133894e8df7200f039075702d7bead768013f678a5f5f7a
  CHECKSUM(SHA256) upstream package : 1b6726372afc216b9523324c24a0506a247999658e709648a8cca787179ba79c
diff -r also reports differences


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1348207
Buildroot used: fedora-24-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Miro Hrončok 2016-06-21 10:03:23 UTC
(In reply to Lumír Balhar from comment #1)
> [-]: A package which is used by another package via an egg interface should
>      provide egg info.

Any reason why this is not [x]? Have you checked?


Also, Dominika, I strongly suggest against this in %files:

    %{pythonX_sitelib}/*

Now we have no idea what can all get installed with this package, more explicit list would make things more safe, something like this is always better:

    %{pythonX_sitelib}/%{srcname}
    %{pythonX_sitelib}/%{srcname}-%{version}-py?.?.egg-info

Comment 3 Lumír Balhar 2016-06-21 10:38:18 UTC
(In reply to Miro Hrončok from comment #2)
> (In reply to Lumír Balhar from comment #1)
> > [-]: A package which is used by another package via an egg interface should
> >      provide egg info.
> 
> Any reason why this is not [x]? Have you checked?

Sorry for my mistake. It is just typo. I checked it and RPMs contain correct .egg-info dirs.

Comment 4 Dominika Krejčí 2016-06-21 10:58:57 UTC
Thank you for the review and other comments. I've made some changes:

* modified source URL
* added tests and it's BuildRequires
* specified %{pythonX_sitelib} section in files

Spec URL: https://dkrejci.fedorapeople.org/python-represent/python-represent.spec
SRPM URL: https://dkrejci.fedorapeople.org/python-represent/python-represent-1.5.1-1.fc23.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=14591902

Comment 5 Lumír Balhar 2016-06-22 08:58:36 UTC
You have hardcoded "represent" instead "%{srcname}" in %files section.

Maybe python2-pytest could be better (more specific) than pytest in BuildRequires.

Comment 7 Lumír Balhar 2016-06-22 12:46:57 UTC
Package APPROVED.

Comment 8 Gwyn Ciesla 2016-06-22 19:03:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-represent

Comment 9 Fedora Update System 2016-06-23 09:15:16 UTC
python-represent-1.5.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e750a8e708

Comment 10 Fedora Update System 2016-06-23 09:15:24 UTC
python-represent-1.5.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f648b80c05

Comment 11 Fedora Update System 2016-06-23 18:56:38 UTC
python-represent-1.5.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e750a8e708

Comment 12 Fedora Update System 2016-06-23 19:25:49 UTC
python-represent-1.5.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f648b80c05

Comment 13 Fedora Update System 2016-07-10 05:59:59 UTC
python-represent-1.5.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-08-18 23:19:43 UTC
python-represent-1.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.